AUDIOPREVIEW(1)                  AudioPreview                  AUDIOPREVIEW(1)



NAME
       audiopreview - play previews of your audio and video files, and also
       internet media streams.


SYNOPSIS
       audiopreview [OPTIONS] FILES/URIS...

DESCRIPTION
       AudioPreview is a command-line tool that can play previews of your
       audio files as well as video files, and even internet media streams. It
       will play your whole media library without any problem and can also be
       used as a regular media player.

       AudioPreview is developped in C and needs Glib and Gstreamer libraries.

       Note about notation: To be generic, each file or URI will be called a
       "stream".

FILE TYPES
       Note that you may need different plugins to read specific files. For
       example, to play mp3 files, you need to install
       gstreamer0.10-plugins-ugly.

         We *suggest* you to install these plugins:
             gstreamer0.10-plugins-base
             gstreamer0.10-plugins-good
             gstreamer0.10-plugins-bad
             gstreamer0.10-plugins-ugly


OPTIONS
       --colors=TYPE
              Set when to show colors, TYPE can be 'no' for no color, 'auto'
              for colors only when there is a non-dumb TTY attached to
              Standard Output, 'yes' for colors all the time even if the
              Standard Output is not attached to a TTY. Default: auto.

       --debug | -D
              Show debug information in output (should ONLY be used for bug
              reporting, for developers or for testing purposes).

       --duration=SECONDS | -d SECONDS
              Change the preview duration for every stream to SECONDS seconds.
              If DURATION is negative ( < 0 ) it will play each stream till it
              reaches the END OF FILE (Infinite streams will play
              indefinitely! ex: live streams or internet radio station, ...).
              The default is 10.

       --entirely | -e
              Play each given stream entirely starting from the beginning.
              *Infinite streams will play indefinitely!*  This option totally
              overrides any given -p or -d options.

       --fast-seek
              Change seeking mode to be faster (but less accurate). This will
              seek to the nearest keyframe instead of the exact time (This
              might pose problems if --position is 2).

       --file=FILE | -f FILE
              Add every line of FILE to the playlist. FILE should contain new-
              line-separated URIs or paths. This is done after command-line
              arguments (if any) are parsed and added to the playlist.

       --help | -?
              Print the usage help.

       --loop | -l
              Activate Loop mode so that when the last stream has been played,
              we start playing again from the first stream of the list.

       --max-duration=SECONDS | -m SECONDS
              Sets the maximum preview duration to SECONDS (integer). This can
              be used with the --entirely option and you have streams that can
              be infinite (like radio stations).  (To use with --entirely)

       --no-audio
              Deactivate/disable the audio output.

       --no-video
              Deactivate/disable the video output. You should use this option
              if you don't have any DISPLAY running otherwise audiopreview
              might raise an error if you try to preview video streams.

       --position=POSITION | -p POSITION
              Define the starting position from where to start previewing the
              stream. POSITION can have these values: 0 (Start), 1 (Middle), 2
              (End), 3 (Anywhere).  Note that this option is ignored if the
              stream is not seekable (e.g. internet radio streams, live
              streams, ...).  Default is 3 (Anywhere).

       --quiet | -q
              Quiet or silent output (almost no output execept error and
              warning messages).

       --shuffle | -S
              Shuffle the playlist before playing the first stream.

       --verbose | -v
              Verbose output.

       --version
              Display the version number.

       --volume=PERCENTAGE | -V PERCENTAGE
              Change the output volume. PERCENTAGE is an integer from 0 to
              200. Default is 100 (e.g. audiopreview --volume=100).


SHORTCUT KEYS
       When audiopreview is running you can do some specific actions using
       keyboard keys:


       SPACEBAR
              Pause (or resume) playing.

       N      Play next stream.

       P      Play previous stream.

       Q      Stop playing and exit.

       R      Restart current stream (it respects the --position argument, for
              example: if --position is random, which is the default value,
              then a new random position will be calculated and the stream
              will be played from this new position).  Ignored if stream is
              continuous (like radio stations).




EXAMPLES
       Here are a few examples of common usage:

       - Preview 5 seconds of every Ogg file (shuffled) in the current
       directory:

       audiopreview -S -d 5 *.ogg

       - Preview 1 minute of a few internet streams:

       audiopreview -d 60 http://radio1:port/ http://streamZ/playlist.asp
       http://streaming:port/

       - Play continuously and quietly (volume: 40%) an internet radio
       station:

       audiopreview -V 40 -e http://coolradio:9999/

       - Preview 20 seconds in the middle of each mp3 file of a directory:

       audiopreview -d 20 -p 1 /dir/to/my/music/*.mp3

       - Preview 5 seconds from the start of each AVI video file in a
       directory, with audio output disabled:

       audiopreview --no-audio -d 5 -p 0 /dir/to/my/videos/*.avi

       - Play entirely each mp3 file found in ~/Music/ (and in
       subdirectories):

       audiopreview -e -f <(find ~/Music/ -name '*.mp3')

       - Play (entirely) and loop through all of the ogg files in the current
       directory:

       audiopreview -e -l *.ogg


BUGS
       If you find any bug using AudioPreview, please report it to:

       https://bugs.launchpad.net/audiopreview

       or send an email with detailed description to:

       bugs@audiopreview.codealpha.net

AUTHOR
       Arnaud Soyez (Weboide) <weboide@codealpha.net>



                               February 13, 2009               AUDIOPREVIEW(1)
